Subject: Re: [Acme] Fwd: New Version Notification for draft-biggs-acme-sso-00.txt

From: "Salz, Rich" <[email-masked]>
Date: Tue, 12 Jan 2021 18:35:28 +0000

Pinging the group to bring this up for discussion.

From: Richard Barnes <[email-masked]>
Date: Wednesday, December 9, 2020 at 12:00 PM
To: "[email-masked]" <[email-masked]>
Subject: [Acme] Fwd: New Version Notification for draft-biggs-acme-sso-00.txt

Hi ACME folks,

I'd like to bring this proposed extension to ACME to the attention of the working group.  This work builds on Alexei's document defining the "email" identifier type, and defines (1) a mechanism for validating email addresses using SSO, and (2) some CAA mechanisms to manage issuance of certificates with email addresses.

I would like for the ACME WG to take this on as a work item, as a logical next step following on draft-ietf-acme-email-smime.  Any feedback on the draft would be very welcome.

Thanks,
--Richard

---------- Forwarded message ---------
From: <[email-masked]<mailto:[email-masked]>>
Date: Tue, Dec 8, 2020 at 10:09 AM
Subject: New Version Notification for draft-biggs-acme-sso-00.txt
To: Andrew Biggs <[email-masked]<mailto:[email-masked]>>, Richard L. Barnes <[email-masked]<mailto:[email-masked]>>

A new version of I-D, draft-biggs-acme-sso-00.txt
has been successfully submitted by Richard Barnes and posted to the
IETF repository.

Name:           draft-biggs-acme-sso
Revision:       00
Title:          Automated Certificate Management Environment (ACME) Extension for Single Sign On Challenges
Document date:  2020-12-08
Group:          Individual Submission
Pages:          12
URL:            https://www.ietf.org/archive/id/draft-biggs-acme-sso-00.txt<https://urldefense.com/v3/__https:/www.ietf.org/archive/id/draft-biggs-acme-sso-00.txt__;!!GjvTz_vk!Bjo6lTGsZdPN08Jrcaum7-PvZ6ImIzU3tW3zlHmv8FcrpEDqKGIWdMyUXLs3$>
Status:         https://datatracker.ietf.org/doc/draft-biggs-acme-sso/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-biggs-acme-sso/__;!!GjvTz_vk!Bjo6lTGsZdPN08Jrcaum7-PvZ6ImIzU3tW3zlHmv8FcrpEDqKGIWdAHwZIes$>
Html:           https://www.ietf.org/archive/id/draft-biggs-acme-sso-00.html<https://urldefense.com/v3/__https:/www.ietf.org/archive/id/draft-biggs-acme-sso-00.html__;!!GjvTz_vk!Bjo6lTGsZdPN08Jrcaum7-PvZ6ImIzU3tW3zlHmv8FcrpEDqKGIWdA2rfSpj$>
Htmlized:       https://tools.ietf.org/html/draft-biggs-acme-sso-00<https://urldefense.com/v3/__https:/tools.ietf.org/html/draft-biggs-acme-sso-00__;!!GjvTz_vk!Bjo6lTGsZdPN08Jrcaum7-PvZ6ImIzU3tW3zlHmv8FcrpEDqKGIWdAR4jHLj$>

Abstract:
   This document specifies an extension to the ACME protocol [RFC8555]
   to enable ACME servers to validate a client's control of an email
   identifier using single sign-on (SSO) technologies.  An extension to
   the CAA [RFC8659] resource record specification is also defined to
   provide domain owners a means to declare a set of SSO providers that
   ACME servers may rely upon when employing SSO for identifier
   validation on their domain.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<https://urldefense.com/v3/__http:/tools.ietf.org__;!!GjvTz_vk!Bjo6lTGsZdPN08Jrcaum7-PvZ6ImIzU3tW3zlHmv8FcrpEDqKGIWdEj-sQfv$>.

The IETF Secretariat